###################################################################################
#
# Author: Vechs
# Date: August 1, 2018
# Description: Called by the temperature function and adjusts temperature based on player proximity to various blocks.
# Minecraft Version: 1.12.2
# Code copyright Vechs 2018
#
###################################################################################
# Standing on any type of ice or snow.

#tellraw @p[r=7] ["",{"text":"begin","color":"yellow"},{"text":" "},{"score":{"name":"@p","objective":"SuccessCount"}}]

#stats entity @a clear SuccessCount
#tellraw @p[r=7] ["",{"text":"stats entity @a clear SuccessCount","color":"yellow"},{"text":" "},{"score":{"name":"@p","objective":"SuccessCount"}}]

#stats entity @s set SuccessCount @s SuccessCount
#tellraw @p[r=7] ["",{"text":"stats entity @a set SuccessCount @p SuccessCount","color":"yellow"},{"text":" "},{"score":{"name":"@p","objective":"SuccessCount"}}]

execute @s ~ ~ ~ testforblock ~ ~-1 ~ minecraft:packed_ice
#tellraw @p[r=7] ["",{"text":"execute @a ~ ~ ~ testforblock ~ ~-1 ~ minecraft:packed_ice","color":"yellow"},{"text":" "},{"score":{"name":"@p","objective":"SuccessCount"}}]
scoreboard players remove @s[score_SuccessCount_min=1] Temperature 2


#execute @a ~ ~ ~ testforblock ~ ~-1 ~ minecraft:ice
#tellraw @p[r=7] ["",{"text":"execute @a ~ ~ ~ testforblock ~ ~-1 ~ minecraft:ice","color":"yellow"},{"text":" "},{"score":{"name":"@p","objective":"SuccessCount"}}]

#execute @a ~ ~ ~ testforblock ~ ~-1 ~ minecraft:snow
#tellraw @p[r=7] ["",{"text":"execute @a ~ ~ ~ testforblock ~ ~-1 ~ minecraft:snow","color":"yellow"},{"text":" "},{"score":{"name":"@p","objective":"SuccessCount"}}]

#stats entity @a set SuccessCount @p SuccessCount
#tellraw @p[r=7] ["",{"text":"stats entity @a set SuccessCount @p SuccessCount","color":"yellow"},{"text":" "},{"score":{"name":"@p","objective":"SuccessCount"}}]

#scoreboard players remove @s[score_SuccessCount_min=1 Temperature 2
#tellraw @p[r=7] ["",{"text":"execute @a[score_SuccessCount_min=1] ~ ~ ~ scoreboard players remove @p Temperature 2","color":"yellow"},{"text":" "},{"score":{"name":"@p","objective":"SuccessCount"}}]

#stats entity @a clear SuccessCount
#tellraw @p[r=7] ["",{"text":"stats entity @a clear SuccessCount","color":"yellow"},{"text":" "},{"score":{"name":"@p","objective":"SuccessCount"}}]

#stats entity @a set SuccessCount @p SuccessCount
#tellraw @p[r=7] ["",{"text":"stats entity @a set SuccessCount @p SuccessCount","color":"yellow"},{"text":" "},{"score":{"name":"@p","objective":"SuccessCount"}}]


# Being right beside one or more furnaces.
#stats entity @a clear SuccessCount
#execute @a ~ ~ ~ testforblock ~ ~-1 ~ minecraft:lit_furnace
#execute @a ~ ~ ~ testforblock ~ ~2 ~ minecraft:lit_furnace
#execute @a ~ ~ ~ testforblock ~1 ~ ~ minecraft:lit_furnace
#execute @a ~ ~ ~ testforblock ~-1 ~ ~ minecraft:lit_furnace
#execute @a ~ ~ ~ testforblock ~ ~ ~1 minecraft:lit_furnace
#execute @a ~ ~ ~ testforblock ~ ~ ~-1 minecraft:lit_furnace
#stats entity @a set SuccessCount @s SuccessCount
#execute @a[score_SuccessCount_min=1] ~ ~ ~ scoreboard players add @p Temperature 10
#execute @a[score_SuccessCount_min=2] ~ ~ ~ scoreboard players add @p Temperature 10
#execute @a[score_SuccessCount_min=3] ~ ~ ~ scoreboard players add @p Temperature 10
#execute @a[score_SuccessCount_min=4] ~ ~ ~ scoreboard players add @p Temperature 10
#execute @a[score_SuccessCount_min=5] ~ ~ ~ scoreboard players add @p Temperature 10
#execute @a[score_SuccessCount_min=6] ~ ~ ~ scoreboard players add @p Temperature 10
#stats entity @a clear SuccessCount