###################################################################################
#
# Author: Vechs
# Date: August 1, 2018
# Description: Called by the temperature function and adjusts temperature based on player proximity to various blocks.
# Minecraft Version: 1.12.2
# Code copyright Vechs 2018
#
###################################################################################
#

execute @s ~ ~ ~ stats entity @s set SuccessCount @s SuccessCount
# Special thanks to SethBling for helping me with this ^ /stats command syntax


# Standing on any type of ice or snow.
execute @s ~ ~ ~ testforblock ~ ~-1 ~ minecraft:packed_ice
execute @s ~ ~ ~ scoreboard players remove @s[score_SuccessCount_min=1] Temperature 3

execute @s ~ ~ ~ testforblock ~ ~-1 ~ minecraft:ice
execute @s ~ ~ ~ scoreboard players remove @s[score_SuccessCount_min=1] Temperature 3

execute @s ~ ~ ~ testforblock ~ ~-1 ~ minecraft:snow
execute @s ~ ~ ~ scoreboard players remove @s[score_SuccessCount_min=1] Temperature 3

execute @s ~ ~ ~ testforblock ~ ~ ~ minecraft:snow_layer -1
execute @s ~ ~ ~ scoreboard players remove @s[score_SuccessCount_min=1] Temperature 3

# Standing in water.
execute @s ~ ~ ~ testforblock ~ ~ ~ minecraft:water -1
execute @s ~ ~ ~ scoreboard players remove @s[score_SuccessCount_min=1] Temperature 10

# Standing in lava (sets to 890).
execute @s ~ ~ ~ testforblock ~ ~ ~ minecraft:lava -1
execute @s ~ ~ ~ scoreboard players set @s[score_SuccessCount_min=1] Temperature 890

# Standing in fire.
execute @s ~ ~ ~ testforblock ~ ~ ~ minecraft:fire -1
execute @s ~ ~ ~ scoreboard players add @s[score_SuccessCount_min=1] Temperature 30

# Standing in a torch.
execute @s ~ ~ ~ testforblock ~ ~ ~ minecraft:torch -1
execute @s ~ ~ ~ scoreboard players add @s[score_SuccessCount_min=1] Temperature 2

# Standing on top of glowstone.
execute @s ~ ~ ~ testforblock ~ ~-1 ~ minecraft:glowstone
execute @s ~ ~ ~ scoreboard players add @s[score_SuccessCount_min=1] Temperature 3

# Standing on top of magma
execute @s ~ ~ ~ testforblock ~ ~-1 ~ minecraft:magma
execute @s ~ ~ ~ scoreboard players add @s[score_SuccessCount_min=1] Temperature 30

# Being right beside one or more lit furnaces.
execute @s ~ ~ ~ testforblock ~ ~-1 ~ minecraft:lit_furnace
execute @s ~ ~ ~ scoreboard players add @s[score_SuccessCount_min=1] Temperature 25
execute @s ~ ~ ~ testforblock ~ ~2 ~ minecraft:lit_furnace
execute @s ~ ~ ~ scoreboard players add @s[score_SuccessCount_min=1] Temperature 25
execute @s ~ ~ ~ testforblock ~1 ~ ~ minecraft:lit_furnace
execute @s ~ ~ ~ scoreboard players add @s[score_SuccessCount_min=1] Temperature 25
execute @s ~ ~ ~ testforblock ~-1 ~ ~ minecraft:lit_furnace
execute @s ~ ~ ~ scoreboard players add @s[score_SuccessCount_min=1] Temperature 25
execute @s ~ ~ ~ testforblock ~ ~ ~1 minecraft:lit_furnace
execute @s ~ ~ ~ scoreboard players add @s[score_SuccessCount_min=1] Temperature 25
execute @s ~ ~ ~ testforblock ~ ~ ~-1 minecraft:lit_furnace
execute @s ~ ~ ~ scoreboard players add @s[score_SuccessCount_min=1] Temperature 25
